package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * PPSK Profile Brief Info.
 */
@ApiModel(description = "PPSK Profile Brief Info.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class PpskProfileBriefInfo   {
  @JsonProperty("id")
  private String id;

  @JsonProperty("profileName")
  private String profileName;

  @JsonProperty("ssid")
  @Valid
  private List<String> ssid = null;

  public PpskProfileBriefInfo id(String id) {
    this.id = id;
    return this;
  }

  /**
   * PPSK Profile ID
   * @return id
  */
  @ApiModelProperty(value = "PPSK Profile ID")


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public PpskProfileBriefInfo profileName(String profileName) {
    this.profileName = profileName;
    return this;
  }

  /**
   * PPSK Profile Name, should contain 1 to 64 characters.
   * @return profileName
  */
  @ApiModelProperty(required = true, value = "PPSK Profile Name, should contain 1 to 64 characters.")
  @NotNull

@Pattern(regexp="^[^ \\+\\-\\@\\=]$|^[^ \\+\\-\\@\\=].{0,62}[^ ]$") 
  public String getProfileName() {
    return profileName;
  }

  public void setProfileName(String profileName) {
    this.profileName = profileName;
  }

  public PpskProfileBriefInfo ssid(List<String> ssid) {
    this.ssid = ssid;
    return this;
  }

  public PpskProfileBriefInfo addSsidItem(String ssidItem) {
    if (this.ssid == null) {
      this.ssid = new ArrayList<>();
    }
    this.ssid.add(ssidItem);
    return this;
  }

  /**
   * SSIDs Bound With PPSK Profile
   * @return ssid
  */
  @ApiModelProperty(value = "SSIDs Bound With PPSK Profile")


  public List<String> getSsid() {
    return ssid;
  }

  public void setSsid(List<String> ssid) {
    this.ssid = ssid;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    PpskProfileBriefInfo ppskProfileBriefInfo = (PpskProfileBriefInfo) o;
    return Objects.equals(this.id, ppskProfileBriefInfo.id) &&
        Objects.equals(this.profileName, ppskProfileBriefInfo.profileName) &&
        Objects.equals(this.ssid, ppskProfileBriefInfo.ssid);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, profileName, ssid);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class PpskProfileBriefInfo {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    profileName: ").append(toIndentedString(profileName)).append("\n");
    sb.append("    ssid: ").append(toIndentedString(ssid)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

